.m-dialog {
  position: fixed;
  top: 50%;
  border: unset;
  width: calc(100% - 2rem);
  margin: 1rem;
  box-sizing: border-box;
  background: var(--white);
  border-radius: 1rem;
  box-shadow: 0.25rem 0.5rem 1.5rem var(--black-alpha-50);
  color: inherit;
  transform: translateY(calc(-50% - 1rem));
  overflow: hidden;
  padding: 1rem;

  &::before {
    z-index: -1;
    position: absolute;
    top: 0rem;
    bottom: 0;
    left: 0;
    width: 100%;
    content: "";
    display: block;
    background-color: var(--broken-white);
    background-image: linear-gradient(
      var(--white) 0%,
      var(--white) calc(100% - 5rem),
      var(--black-0) 100%
    );
  }

  &__header {
    margin-bottom: 1rem;
    text-align: center;
    position: relative;

    &__title {
      font-size: 1.5rem;
      margin: 0;
      font-weight: 500;
      border-image-slice: 1;
      padding-bottom: 1rem;
    }

    &__close {
      border: unset;
      background: unset;
      padding: unset;
      position: absolute;
      right: 0rem;
      top: 0.25rem;
      color: var(--black-100);
      cursor: pointer;
    }
  }

  &__content {
    margin-bottom: 2rem;

    &__divider {
      margin-top: 2rem;
    }
  }

  &.-blue {
    .m-dialog__header__title {
      border-bottom: 2px solid rgba(var(--theme-blue-primary-values), 0.2);
      border-image-source: linear-gradient(
        90deg,
        rgba(var(--theme-blue-primary-values), 0.2) 0%,
        rgba(var(--theme-blue-secondary-values), 0.2) 100%
      );
      background-color: var(--theme-blue-primary);
      background-image: linear-gradient(
        90deg,
        var(--theme-blue-primary) 0%,
        var(--theme-blue-secondary) 100%
      );
    }
  }

  &.-purple {
    .m-dialog__header__title {
      border-bottom: 2px solid rgba(var(--theme-purple-primary-values), 0.2);
      border-image-source: linear-gradient(
        90deg,
        rgba(var(--theme-purple-primary-values), 0.2) 0%,
        rgba(var(--theme-purple-secondary-values), 0.2) 100%
      );
      background-color: var(--theme-purple-primary);
      background-image: linear-gradient(
        90deg,
        var(--theme-purple-primary) 0%,
        var(--theme-purple-secondary) 100%
      );
    }
  }

  &.-orange {
    .m-dialog__header__title {
      border-bottom: 2px solid rgba(var(--theme-orange-primary-values), 0.2);
      border-image-source: linear-gradient(
        90deg,
        rgba(var(--theme-orange-primary-values), 0.2) 0%,
        rgba(var(--theme-orange-secondary-values), 0.2) 100%
      );
      background-color: var(--theme-orange-primary);
      background-image: linear-gradient(
        90deg,
        var(--theme-orange-primary) 0%,
        var(--theme-orange-secondary) 100%
      );
    }
  }

  &.-green {
    .m-dialog__header__title {
      border-bottom: 2px solid rgba(var(--theme-green-primary-values), 0.2);
      border-image-source: linear-gradient(
        90deg,
        rgba(var(--theme-green-primary-values), 0.2) 0%,
        rgba(var(--theme-green-secondary-values), 0.2) 100%
      );
      background-color: var(--theme-green-primary);
      background-image: linear-gradient(
        90deg,
        var(--theme-green-primary) 0%,
        var(--theme-green-secondary) 100%
      );
    }
  }

  &.-orange,
  &.-blue,
  &.-purple,
  &.-green {
    .m-dialog__header__title {
      border-image-slice: 1;
      background-clip: text;
      -webkit-text-fill-color: transparent;
    }
  }
}
